| Home · All Classes · All Namespaces · Modules · Functions · Files

# Tp::ReadinessHelper Class Reference

`#include <TelepathyQt4/readiness-helper.h>`

List of all members.

## Classes

- struct Introspectable

## Public Types

- typedef void(* IntrospectFunc )(void *data)
- typedef QMap< Feature,
  Introspectable > Introspectables

## Signals

- void statusReady (uint status)

## Public Member Functions

- ReadinessHelper (QObject *object, uint currentStatus=0, const Introspectables &introspectables=Introspectables(), QObject *parent=0)
- ~ReadinessHelper ()
- void addIntrospectables (const Introspectables &introspectables)
- uint currentStatus () const
- void setCurrentStatus (uint currentStatus)
- QStringList interfaces () const
- void setInterfaces (const QStringList &interfaces)
- Features requestedFeatures () const
- Features actualFeatures () const
- Features missingFeatures () const
- bool isReady (const Feature &feature, QString *errorName=0, QString *errorMessage=0) const
- bool isReady (const Features &features, QString *errorName=0, QString *errorMessage=0) const
- PendingReady * becomeReady (const Features &requestedFeatures)
- void setIntrospectCompleted (const Feature &feature, bool success, const QString &errorName=QString(), const QString &errorMessage=QString())
- void setIntrospectCompleted (const Feature &feature, bool success, const QDBusError &error)

## Member Typedef Documentation

typedef void(* Tp::ReadinessHelper::IntrospectFunc)(void *data)

typedef QMap<Feature, Introspectable> Tp::ReadinessHelper::Introspectables

## Constructor & Destructor Documentation

Tp::ReadinessHelper::ReadinessHelper | ( | QObject * | object,
|  | uint | currentStatus = `0`,
|  | const Introspectables & | introspectables = `Introspectables()`,
|  | QObject * | parent = `0` |
| ) |  |  |

Tp::ReadinessHelper::~ReadinessHelper | ( |  | ) |

## Member Function Documentation

void Tp::ReadinessHelper::addIntrospectables | ( | const Introspectables & | introspectables | ) |

uint Tp::ReadinessHelper::currentStatus | ( |  | ) | const

void Tp::ReadinessHelper::setCurrentStatus | ( | uint | currentStatus | ) |

QStringList Tp::ReadinessHelper::interfaces | ( |  | ) | const

void Tp::ReadinessHelper::setInterfaces | ( | const QStringList & | interfaces | ) |

Features Tp::ReadinessHelper::requestedFeatures | ( |  | ) | const

Features Tp::ReadinessHelper::actualFeatures | ( |  | ) | const

Features Tp::ReadinessHelper::missingFeatures | ( |  | ) | const

bool Tp::ReadinessHelper::isReady | ( | const Feature & | feature,
|  | QString * | errorName = `0`,
|  | QString * | errorMessage = `0` |
| ) |  |  | const

bool Tp::ReadinessHelper::isReady | ( | const Features & | features,
|  | QString * | errorName = `0`,
|  | QString * | errorMessage = `0` |
| ) |  |  | const

PendingReady * Tp::ReadinessHelper::becomeReady | ( | const Features & | requestedFeatures | ) |

void Tp::ReadinessHelper::setIntrospectCompleted | ( | const Feature & | feature,
|  | bool | success,
|  | const QString & | errorName = `QString()`,
|  | const QString & | errorMessage = `QString()` |
| ) |  |  |

void Tp::ReadinessHelper::setIntrospectCompleted | ( | const Feature & | feature,
|  | bool | success,
|  | const QDBusError & | error |
| ) |  |  |

void Tp::ReadinessHelper::statusReady | ( | uint | status | ) | `[signal]`